<?php
/**
 * @author Petr Ruttkay
 *
 */

require_once "_class/prHtmlCore.php";
require_once "_class/prColors.php";
require_once "_class/prAuthentication.php";

/**
 * Zobrazení bez ožaavku autorizace
 * @author Robert
 *
 */
class PrHtmlCoreISFree extends PrHtmlCore
{
   private $csAuthentication = null;


   function checkAuth()
   {
   }


   function getAuthLogin()
   {
      // funkce nevyžaduje přihlášení
      return null;
   }


   function getAuthNametext()
   {
       // funkce nevyžaduje přihlášení
      return null;
   }


   function getApplRootDir()
   {
      return ".";
   }


   function getLeftDivContent()
   {
      
      return ' ';
   }


   function getRightDivContent()
   {
      return null;
   }


   function getPageHeaderColor()
   {
      return prColors::GREY_DARK;
   }

}