<?php


// formátování datumu dd/mm/yyyy
function date_cz($date)
{
   if ($date == '') return '';
   
   $time = strtotime($date);
   return StrFTime("%d/%m/%Y", $time);
}


// formátování datumu dd/mm/yyy na yyyy-mm-dd
function date_db($date)
{
   if ($date == '') return '';
   
   // echo '<p>date_db: ' . $date;
   
   $dateInput = explode('/', $date);
   return ($dateInput[2] . '-' . $dateInput[1] . '-' . $dateInput[0]);
}


function getCurrentTimeText()
{
   $dt = new DateTime();
   return $dt->format('H:i');
}


function getCurrentDateText()
{
   $dt = new DateTime();
   return $dt->format('d/m/Y');
}


function now2dectime()
{
   $hour = StrFTime("%H", Time());
   $min = 0 + StrFTime("%M", Time());
   $min_dec = 0.00;
   if ($min > 7)
   {
      if ($min < 22)
         $min_dec = 0.25;
      else 
         if ($min < 37)
            $min_dec = 0.50;
         else 
            if ($min < 52) $min_dec = 0.75;
   }
   
   $now_time = 0.00;
   $now_time = $now_time + $hour;
   $now_time = $now_time + $min_dec;
   
   return $now_time;
}


function getWeekDayNumCz($date)
{
   $dayNum = date('w', strtotime($date));
   if ($dayNum == 0) $dayNum = 7;
   return $dayNum;
}


function getWeekDayNameForDate($date)
{
   $dayNum = date('w', strtotime($date));
   return getWeekDayNameForDayNum($dayNum);
}


function getWeekDayNameForDayNum($dayNum)
{
   $dayNum = trim($dayNum) + 0;
   if ($dayNum == 7) $dayNum = 0;
   // $dowMap = array ('Neděle','Pondělí','Úterý','Středa','Čtvrtek','Pátek','Sobota');
   $dowMap = array ('neděle','pondělí','úterý','středa','čtvrtek','pátek','sobota');
   return $dowMap[$dayNum];
}
