<?php

/**
 * @author Petr Ruttkay
 *
 */

// echo "<BR>custSelector";
require_once "./_func/isPdoFactory.php";
require_once "./_func/errorlib.php";
require_once "./_class/prHtmlForm.php";
require_once "./_class/prHtmlTable.php";
require_once "./_class/prProgress.php";
require_once "./_func/datetime_lib.php";
require_once "./_func/format.php";
require_once "./_class/formXmlRead.php";
require_once "./_class/formBoxCreator.php";
require_once "./_func/editFactory.php";
require_once "./_class/formCheck.php";
require_once "./_class/formCore.php";
require_once "InsertDoc.php";


class StockDocPrint extends FormCore
{
   private $pdo;
   private $updateSQL;
   private $formStructure;

   private $keyName;
   private $typeStock;

/**
 * 
 * @param isPDO $pdo
 * @param string $keyName například Příjemka 
 * @param string $typeStock P=Příjemka, V=Výdejka
 * @param FormStructure $formStructure
 */
   public function __construct(isPDO $pdo,  $keyName, $typeStock, FormStructure $formStructure)
   {
      $this->pdo = $pdo;
      $this->formStructure = $formStructure;
      $this->keyName = $keyName;
      $this->typeStock = $typeStock;
      
      parent::__construct($pdo, $keyName, $formStructure);
   }


   public function run()
   {

       parent::initFormCore();
       
       $formEditAction = parent::getFormEditAction();
       
       if ($formEditAction->wasSentButton(FormGridCreator::ACTION_GOTO_QUERY_OK)) {
           
           createQuery($this->pdo, $this->formStructure);
           $sql  = "select stock_id ";
           $sql .= " from stockhead where ".$_SESSION["whereSQL"]." and valid_flag = 1 order by 1";


           parent::initFormCore4Print();
           parent::initPage4Print("Připravuje se tisk skladových dokladů");
           
           $firstFlag = true;
           foreach ($this->pdo->query($sql) as $data)
           {
               if ($firstFlag == false) {
                   parent::pageBreak();
               }
               $firstFlag = false;
               
               $stockID = $data["stock_id"];
//                  echo "<BR>-------------------------------------";
//                  echo "<BR>stockID = ".$stockID;
               $_SESSION["primaryKey"] = $stockID;
               $_SESSION["_AreaKey_Table_head_column"] = "stock_id";
               $_SESSION["_AreaKey_Table_detl_column"] = "stock_id";
               $_SESSION["_AreaKey_Table_head_key"] = $stockID;
               $_SESSION["_AreaKey_Table_detl_key"] = $stockID;
               $_SESSION["_AreaKey_Grid_head_key"] = $stockID;
               
               parent::genPage4Print();
              
           }
           parent::publishPage4Print();
       } else {
           parent::actionForm();
           parent::genPage("Načítá se přehled skladových dokladů");           
       }
           
       
       
       
     
       
       
   }

   
}
