<?php

require_once "./_class/formXmlRead.php";
require_once "./_class/prHtmlTable.php";
require_once "./_class/formTableCreator.php";
require_once "./_class/formGridCreator.php";

/**
 * Třída provádí analýzu dat z POST 
 *
 */
class FormPostDataLib
{

    private $primaryKey = null;
    private $primaryColumn = null;
    private $table =null; 
    private $tableID =null; 
    private $area =null; 
    private $column4Detail = null;
    private $idDetail =null; 
    private $columnValueList= array();
    private $columnOldValueList= array();
    private $new_flag;
    
    
    
    public function __construct($new_flag)
    {
        $this->new_flag = $new_flag;
                
            foreach ($_REQUEST as $key => $value)
            {
                if ($value != null){
                    if (!$this->new_flag && strlen($value) > 0 && strpos($key, "pdateTable_") > 0) {
                        list ($akceID, $table, $paramID, $primaryColumn, $paramID, $primaryKey, $paramID, $oldVal, $tableID, $columnName) = explode('_#_', $key);
                        
                        if ($this->table == null){
                            $this->table = $table;
                        }
                        if ($this->primaryColumn == null){
                            $this->primaryColumn = $primaryColumn;
                        }
                        if ($primaryColumn == $columnName){
                            $this->primaryKey = $value;
                        }
                        
                        $this->columnValueList[$columnName] = $value;
                        $this->columnOldValueList[$columnName] = $oldVal;
                    }
                    
                    
                    if ($this->new_flag && strlen($value) > 0 && strpos($key, "EW_REC_gridID_") > 0){
                        list ($akceID, $primaryColumn, $table, $column) = explode('_#_', $key);
                        if ($this->table == null){
                            $this->table = $table;
                        }
                        if ($this->primaryColumn == null){
                            $this->primaryColumn = $primaryColumn;
                        }
                        if ($primaryColumn == $column){
                            $this->primaryKey = $value;
                        }
                        $this->columnValueList[$column] = $value;
                        $this->columnOldValueList[$column] = ""; //$oldVal;
                    }
                    
                    if (strpos($key, 'Action_edit_detail') > 0){
                        list($akceID, $table, $column, $area, $tableID,  $primaryKey) = explode('_#_', $value);
                        $this->tableID =$tableID;
                        $this->area =$area;
                        $this->idDetail =$primaryKey; 
                        $this->column4Detail =$column; 
                    }
                }
                
                   
        }
    }
    
    public function getValue4RefColumn($refColumn)
    {
        
        $keyCode = null;
        foreach ($_REQUEST as $key => $value)
        {
            //ABOH_#_tableID_1_#_city_text
            
            if ($value != null){
                if (strlen($value) > 0 && strpos($key, "pdateTable_") > 0) {
                    list ($akceID, $table, $paramID, $primaryColumn, $paramID, $primaryKey, $paramID, $oldVal, $tableID, $columnName) = explode('_#_', $key);
                    if ($refColumn == $columnName){
                        $keyCode = $value;
                    }
                }
                
                if (strlen($value) > 0 && strpos($key, "EW_REC_gridID_") > 0){
                    list ($akceID, $primaryColumn, $table, $column) = explode('_#_', $key);
                    
                    if ($refColumn == $column){
                        $keyCode = $value;
                    }
                }
            }
            
        }
        return $keyCode;
        
    }
    
    /**
     * Funkce vrací hodnotu primárního klíče DB tabulky.
     * 
     * @return mixed
     */
    public function getPrimaryKey()
    {
        return $this->primaryKey;
    }

    /**
     * Funkce vrací název sloupce primárního klíče DB tabulky.
     * 
     * @return string
     */
    public function getPrimaryColumn()
    {
        return $this->primaryColumn;
    }

    /**
     * Funkce vrací název DB tabulky
     * 
     * @return string
     */
    public function getTable()
    {
        return $this->table;
    }
    /**
     * Funkce vrací seznam hodnot, kde klíčem je název DB sloupce
     * 
     * @return multitype:
     */
    public function getColumnValueList()
    {
        return $this->columnValueList;
    }
    /**
     * Funkce vrací seznam starých hodnot, kde klíčem je název DB sloupce
     * @return multitype:
     */
    public function getColumnOldValueList()
    {
        return $this->columnOldValueList;
    }
    /**
     * Funkce vrací ID tabulky ve formuláři
     * 
     * @return string
     */
    public function getTableID()
    {
        return $this->tableID;
    }

    /**
     * Funkce vrací DB sloupec pro zobrazení detailu ve formuláři
     * 
     * @return array
     */
    public function getColumn4Detail()
    {
        return $this->column4Detail;
    }

    /**
     * Funkce vrací oblast formuláře (head=Hlavička, detl=detail0
     * @return array
     */
    public function getArea()
    {
        return $this->area;
    }

    /**
     * Funkce vrací ID pro detail formuláře
     * @return array
     */
    public function getIdDetail()
    {
        return $this->idDetail;
    }




    
        
    
}

