<?php
/**
 * @author Petr Ruttkay
 *
 */

/**
 * Třída na progress. Zahájení akce a její ukončení
 *
 */


class PrProgress
{
   private $id;


   public function start($text)
   {
      $this->id = uniqid("_");
      
      echo '<div id="progressImg' . $this->id . '"><img src="./_img/middle/wait.gif"></div>';
      echo '<div id="progressText' . $this->id . '">' . $text . '</div>';
      
      $this->flush();
   }


   public function step($text, $wait)
   {
      sleep($wait);
      
      echo '<script type="text/javascript">document.getElementById("progress_text' . $this->id .
          '").innerHTML+="<br>' . $text . '"</script>';
      
      $this->flush();
   }


   public function finish($wait)
   {
      sleep($wait);
      echo '<script type="text/javascript">document.getElementById("progressImg' . $this->id .
          '").innerHTML="";</script>';
      echo '<script type="text/javascript">document.getElementById("progressText' . $this->id .
          '").innerHTML="";</script>';
   }


   public function flush()
   {
      echo str_pad('', 4096) . "\n";
      ob_flush();
      flush();
   }

}