<?php
/**
 * @author Petr Ruttkay
 *
 */

//echo "<BR>country";
require_once "./_func/isPdoFactory.php";
require_once "./_func/errorlib.php";
require_once "./_class/prHtmlForm.php";
require_once "./_class/prHtmlTable.php";
require_once "./_class/prProgress.php";
require_once "./_func/datetime_lib.php";
require_once "./_func/format.php";
require_once "./_class/formXmlRead.php";
require_once "./_class/formBoxCreator.php";
require_once "./_class/formCheck.php";
require_once "./_class/formCore.php";

class Tax extends FormCore
{
   private $pdo;
   private $formStructure;
 

   public function __construct(isPDO $pdo, FormStructure $formStructure)
   {       
       $this->pdo = $pdo;
       $this->formStructure = $formStructure;
       
       parent::__construct($pdo, "DPH", $formStructure);
   }
   
   public function run()
   {       
       parent::setTempFlag(false);
       parent::setPregressText("Načítá se DPH");
       parent::run();       
   }

   
}
