<?php
/**
 * @author Petr Ruttkay
 *
 */

// require_once "./_func/isPdoFactory.php";
// require_once "./_class/isPdo.php";
require_once "./_class/formPostDataLib.php";


class InsertOrd
{
   private $pdo;
   private $formStructure;
   private $new_flag;
   private $name;
   private $msg;
   private $primaryKey;
   private $referTables= array();
   private $descColumns= array();


   public function __construct(isPDO $pdo, $name, FormStructure $formStructure, $new_flag)
   {
      $this->pdo = $pdo;
      $this->formStructure = $formStructure;

      $this->name = $name;
      $this->new_flag = $new_flag;
   }


/**
 * @return string
 */
   public function InsertTempData($nameRow, $pdo, $tempFlag)
   {
       $pdo->beginTransaction();
       
       //        $formLayout = $this->formStructure->getFormLayout();
       
       $msg = null;
       
       //        $sql = "insert into csorders.cso_prodlisthead (ship_code, delivery_date, arrival_num, gen_date)" .
       //            " values (:ship_code, :delivery_date, :arrival_num, :gen_date)";
       
       $insertSql = "insert into ". $_SESSION["database"] . ".";
       $valuesSql =  " values (";
       $carka = "";
       $actualTable = null;
       
       foreach ($_REQUEST as $key => $value)
       {
           //ABOH_#_tableID_1_#_city_text
//            echo "<BR>A $key";
//            echo "<BR>$value";
           
           if (strlen($value) > 0 && strpos($key, "EW_REC_gridID_") > 0){
               
               list ($akceID, $primaryColumn, $table, $column) = explode('_#_', $key);
//                echo "<BR>=====", $akceID, " - ", $primaryColumn, " - ",  $table,  " - ", $column;
               //                    $strpos = strpos($key, "_REC_#_gridID_" . $boxItem->getGridID() . "_#_" . $formGridItem->getDbColumn());
               
               //                    if ($strpos > 0){
               //                        echo "<BR>A $key";
               //                        echo "<BR>$value";
               
               if ($actualTable == null){
//                    echo "<BR>**********************************************";
//                    echo "<BR>Zpracováva se první tabulka"; 
                   $actualTable = $table;
                   $insertSql = "insert into ". $_SESSION["database"] . ".";
                   $valuesSql =  " values (";
                   $carka = "";
               }
               if ($actualTable != null && $actualTable != $table){
                   //Zpracováva se další tabulka musí se prvést zápis první tabulky
                   $msg = $this->insertTable($pdo, $carka, $tempFlag, $insertSql, $valuesSql, $nameRow);   
                   
//                    echo "<BR>++++++++++++++++++++++++++++++++++++++++++++++";
//                    echo "<BR>Zpracováva se další tabulka musí se prvést zápis první tabulky";
//                    echo "<BR>" . $actualTable ." != ". $table;
                   $actualTable = $table;
                   $insertSql = "insert into ". $_SESSION["database"] . ".";
                   $valuesSql =  " values (";
                   $carka = "";
               }
               
               if ($primaryColumn == $column){
                   $primaryKeyValue = $value;
//                    echo "<BR>primaryKeyValue = " . $primaryKeyValue;
               } else if ($column == "ord_id" && $table == "orderdetl"){
                   //Nastavení ID ze orderhead pro orderdetl
//                    echo "<BR>Nastavení ID ze orderhead pro orderdetl";
                   if (isset($_SESSION["save_primaryKey"]) && $_SESSION["save_primaryKey"] != null){
                       $value = $_SESSION["save_primaryKey"];
//                        echo "<BR>save_primaryKey = ". $_SESSION["save_primaryKey"];
                   } else if (isset($_SESSION["head_ID"]) && $_SESSION["head_ID"] != null){
//                        echo "<BR>head_ID = ". $_SESSION["head_ID"];
                       $value = $_SESSION["head_ID"];
                   } else {
                          $pdo->rollBack();
                          return "Napřed musí být zpasana hlavička dokladu";
                      }
                   
               }
               
               if ($insertSql == "insert into ". $_SESSION["database"] . ".") {
                   $insertSql .= $table." (";
               }
               
               
               $insertSql .= $carka . $column;
               //                        echo "<BR>-----------------------------------------";
               //                        echo "<BR>".$insertSql;
               $valuesSql .= $carka . ":" . $column;
               
               //                                         $pdo->setNamedParam("table", $formGridItem->getDbTable());
               
               
               if (isFormDate($column, $value)) {
                   //Jedná se o datum musí se konvertovat na SQL formát
                   $value = getDBDate($value);
               }
//                echo "<BR> COLUMN " . $column ." VALUE ". $value; 
               $pdo->setNamedParam($column, $value);
               $carka = ", ";
               //                    }
           }
           
#echo "<BR>C $insertSql";
           
       }
       //Zápis poslední tabulky 
       $msg = $this->insertTable($pdo, $carka, $tempFlag, $insertSql, $valuesSql, $nameRow);   
       
       $pdo->commitTransaction();
       
       return $msg;
       
   }

   /**
    * @return boolean
    */
   public function InsertData2DB($nameRow, $pdo)
   {
       $pdo->beginTransaction();
       
       
       $this->msg = null;
       $ordID = null;
       $wareCode = null;
       
       $sql = "select ord_id, ware_code from orderhead where valid_flag = 0 ";
       foreach ($this->pdo->query($sql) as $data)
       {
           $ordID = $data["ord_id"];
           $wareCode = $data["ware_code"];
       }
       
       $sql = "update orderhead set valid_flag = 1 where valid_flag = 0";
       if ($this->pdo->exec($sql) === false){
           $this->msg = "Chyba potvrzení havičky objednávky";
           $pdo->rollBack();
           return false;
       }
       
       $sql = "update orderdetl set valid_flag = 1 where ord_id = :ord_id and valid_flag = 0";
       $this->pdo->setNamedParam("ord_id", $ordID);
       if ($this->pdo->exec($sql) === false){
           $this->msg = "Chyba potvrzení řádky objednávky";
           $pdo->rollBack();
           return false;
       }       
       
       //Aktulzace orderdetl line_num
       $sql  = "select ord_id_detl, prod_code, ware_code, order_qty, unit_price_amt, desc_text ";
       $sql .= "from orderdetl where ord_id = :ord_id order by ord_id_detl";
       $this->pdo->setNamedParam("ord_id", $ordID);
       $idx = 1;
       foreach ($this->pdo->query($sql) as $data)
       {
           $ord_id_detl = $data["ord_id_detl"];
           $prod_code = $data["prod_code"];
           $wareCode = $data["ware_code"];
           $order_qty = $data["order_qty"];
           $price_amt = $data["unit_price_amt"];
           $desc_text = $data["desc_text"];
           
           $tot_amt = $order_qty * $price_amt;
           
           if ($desc_text == null) {
               $sql  = "select desc_text ";
               $sql .= "from product where prod_code = :prod_code ";
               $this->pdo->setNamedParam("prod_code", $prod_code);
               $idx = 1;
               foreach ($this->pdo->query($sql) as $data){
                   $desc_text = $data["desc_text"];
               }
           }
           
           $sql = "update orderdetl set line_num = :line_num, line_tot_amt = :line_tot_amt, desc_text = :desc_text where ord_id_detl = :ord_id_detl ";
           $this->pdo->setNamedParam("line_num", $idx);
           $this->pdo->setNamedParam("desc_text", $desc_text);
           $this->pdo->setNamedParam("ord_id_detl", $ord_id_detl);
           $this->pdo->setNamedParam("line_tot_amt", $tot_amt);
           
           if ($this->pdo->exec($sql) === false){
               $this->msg = "Chyba aktualizace řádky objednávky";
               $pdo->rollBack();
               return false;
           }
           
           //Aktualizace prodstat
           $new_reserved_qty = null;
           $sql = "select id_num, wgted_cost_amt, reserved_qty from prodstat where ware_code = :ware_code and prod_code = :prod_code";
           $this->pdo->setNamedParam("ware_code", $wareCode);
           $this->pdo->setNamedParam("prod_code", $prod_code);
           foreach ($this->pdo->query($sql) as $data)
           {
               $prodstat_id_num = $data["id_num"];
               $this->reserved_qty = $data["reserved_qty"];
               $wgted_cost_amt = $data["wgted_cost_amt"];
               
               $new_reserved_qty =  $order_qty + $this->reserved_qty;
               
               $sql = "update prodstat set reserved_qty = :reserved_qty where id_num = :id_num ";
               $this->pdo->setNamedParam("reserved_qty", $new_reserved_qty);
               
               
               $this->pdo->setNamedParam("id_num", $prodstat_id_num);
               if ($this->pdo->exec($sql) === false){
                   $this->msg = "Chyba aktualizace skladové karty";
                   $pdo->rollBack();
                   return false;
               }
               
               $sql = "update orderdetl set unit_cost_amt = :unit_cost_amt, ext_cost_amt = :ext_cost_amt where ord_id_detl = :ord_id_detl ";
               $this->pdo->setNamedParam("unit_cost_amt", $wgted_cost_amt);
               $this->pdo->setNamedParam("ext_cost_amt", $wgted_cost_amt * $order_qty);
               $this->pdo->setNamedParam("ord_id_detl", $ord_id_detl);
               
               
               if ($this->pdo->exec($sql) === false){
                   $this->msg = "Chyba aktualizace řádky objednávky";
                   $pdo->rollBack();
                   return false;
               }
               
           }
           
           if ($new_reserved_qty == null){
               $this->msg = "Neexistuje skladová karta pro produkt ".$prod_code." a sklad ".$wareCode."!";
               $pdo->rollBack();
               return false;               
           }
           
           
           
           $idx++;
       
       }
       
       
       $pdo->commitTransaction();
       
       $this->msg = $nameRow." číslo " . $ordID ." úspešně zapsána.";
       
       return true;
       /*
trantype_ind* 
A	Oprava stavu skladu - množství	D
B	Oprava výdeje do výroby	D
C	Návrat do skladu dobropisem	D
D	Cenová odchylka závazek-príjem	D
E	Vážení obilí za silem	D
F	Korekce stavu skladu obilí	D
G	Korekce rozdílů ze zaokrouhlen	D
H	Návrat vratného obalu dobropis	D
I	Prímý výdej ze skladu	D
J	Výdej ze skladu na projekt	D
K	Výdej ze skladu do výroby	D
L	Príjem do skladu z výroby	D
M	Zápujčka vratného obalu	D
N	Vedlejší náklady k nákup.obj.	D
P	Príjem z nákupní objednávky	D
Q	Oprava ceny nákupní objednávky	D
R	Prímý príjem do skladu	D
S	Výdej ze skladu fakturou	D
T	Prevod mezi sklady	D
U	Oprava skladové ceny	D
W	Prevod cenových odchylek	D
X	Prevod vedlejších nákladů	D
Y	Rozpouštení vedlejších nákladů	D
Z	Rozpouštení cenových odchylek	D
1	Převod mezi produkty-výdej	D
2	Převod mezi produkty-príjem	D
3	Výdej ze skladu výčetkou	S
4	Výdej ze skladu dodacím listem	D
5	Prevod obalu na konto obalů DL	D
6	Reexpedice - výdej pomoc.prod.	D
7	Reexpedice - príjem reexp.výro	D
		
		
		
		
        
        */
   }
   
   /**
    * @return string
    */
   private function insertTable($pdo, $carka, $tempFlag, $insertSql, $valuesSql, $nameRow)
   {
       $msg = null;
       if ($carka == ", "){ //Byl nastaven alespoň jeden sloupec
           //            echo "<BR>A $insertSql";
           //            echo "<BR>B $valuesSql";
           if ($tempFlag){
               $insertSql .= ", valid_flag)" . $valuesSql . ",0)";
           } else {
               $insertSql .= ", valid_flag)" . $valuesSql . ",1)";
               
           }
// echo "<BR>" . $insertSql;

           $pdo->exec($insertSql);
           $newPrimaryKeyValue = $pdo->lastInsertId();
           
           if (strpos($insertSql, "orderhead") > 0){
               $_SESSION["head_ID"] =  $newPrimaryKeyValue;
           } else if (strpos($insertSql, "orderdetl") > 0){
               $_SESSION["detl_ID"] =  $newPrimaryKeyValue;
           }
           $msg = $nameRow." ".$newPrimaryKeyValue." uspěšně zapsán.";
       }
       
       return $msg;
   }
   
    /**
     * @return string
     */
    public function getMsg()
    {
        return $this->msg;
    }
    /**
     * @return mixed
     */
    public function getPrimaryKey()
    {
        return $this->primaryKey;
    }




}