<?php
/**
 * @author Petr Ruttkay
 *
 */

// require_once "./_func/isPdoFactory.php";
// require_once "./_class/isPdo.php";
require_once "./_class/formPostDataLib.php";


class InsertDoc
{
   private $pdo;
   private $formStructure;
   private $new_flag;
   private $name;
   private $msg;
   private $primaryKey;
   private $referTables= array();
   private $descColumns= array();


   public function __construct(isPDO $pdo, $name, FormStructure $formStructure, $new_flag)
   {
      $this->pdo = $pdo;
      $this->formStructure = $formStructure;

      $this->name = $name;
      $this->new_flag = $new_flag;
   }


/**
 * @return string
 */
   public function InsertTempData($nameRow, $pdo, $tempFlag)
   {
       $pdo->beginTransaction();
       
       //        $formLayout = $this->formStructure->getFormLayout();
       
       $msg = null;
       
       //        $sql = "insert into csorders.cso_prodlisthead (ship_code, delivery_date, arrival_num, gen_date)" .
       //            " values (:ship_code, :delivery_date, :arrival_num, :gen_date)";
       
       $insertSql = "insert into ". $_SESSION["database"] . ".";
       $valuesSql =  " values (";
       $carka = "";
       $actualTable = null;
       
       foreach ($_REQUEST as $key => $value)
       {
           //ABOH_#_tableID_1_#_city_text
//            echo "<BR>A $key";
//            echo "<BR>$value";
           
           if (strlen($value) > 0 && strpos($key, "EW_REC_gridID_") > 0){
               
               list ($akceID, $primaryColumn, $table, $column) = explode('_#_', $key);
//                echo "<BR>=====", $akceID, " - ", $primaryColumn, " - ",  $table,  " - ", $column;
               //                    $strpos = strpos($key, "_REC_#_gridID_" . $boxItem->getGridID() . "_#_" . $formGridItem->getDbColumn());
               
               //                    if ($strpos > 0){
               //                        echo "<BR>A $key";
               //                        echo "<BR>$value";
               
               if ($actualTable == null){
//                    echo "<BR>**********************************************";
//                    echo "<BR>Zpracováva se první tabulka"; 
                   $actualTable = $table;
                   $insertSql = "insert into ". $_SESSION["database"] . ".";
                   $valuesSql =  " values (";
                   $carka = "";
               }
               if ($actualTable != null && $actualTable != $table){
                   //Zpracováva se další tabulka musí se prvést zápis první tabulky
                   $msg = $this->insertTable($pdo, $carka, $tempFlag, $insertSql, $valuesSql, $nameRow);   
                   
//                    echo "<BR>++++++++++++++++++++++++++++++++++++++++++++++";
//                    echo "<BR>Zpracováva se další tabulka musí se prvést zápis první tabulky";
//                    echo "<BR>" . $actualTable ." != ". $table;
                   $actualTable = $table;
                   $insertSql = "insert into ". $_SESSION["database"] . ".";
                   $valuesSql =  " values (";
                   $carka = "";
               }
               
               if ($primaryColumn == $column){
                   $primaryKeyValue = $value;
//                    echo "<BR>primaryKeyValue = " . $primaryKeyValue;
               } else if ($column == "stock_id" && $table == "stockdetl"){
                   //Nastavení ID ze stockhead pro stockdetl
//                    echo "<BR>Nastavení ID ze stockhead pro stockdetl";
                   if (isset($_SESSION["save_primaryKey"]) && $_SESSION["save_primaryKey"] != null){
                       $value = $_SESSION["save_primaryKey"];
//                        echo "<BR>save_primaryKey = ". $_SESSION["save_primaryKey"];
                   } else if (isset($_SESSION["head_ID"]) && $_SESSION["head_ID"] != null){
//                        echo "<BR>head_ID = ". $_SESSION["head_ID"];
                       $value = $_SESSION["head_ID"];
                   } else {
                          $pdo->rollBack();
                          return "Napřed musí být zpasana hlavička dokladu";
                      }
                   
               }
               
               if ($insertSql == "insert into ". $_SESSION["database"] . ".") {
                   $insertSql .= $table." (";
               }
               
               
               $insertSql .= $carka . $column;
               //                        echo "<BR>-----------------------------------------";
               //                        echo "<BR>".$insertSql;
               $valuesSql .= $carka . ":" . $column;
               
               //                                         $pdo->setNamedParam("table", $formGridItem->getDbTable());
               
               
               if (isFormDate($column, $value)) {
                   //Jedná se o datum musí se konvertovat na SQL formát
                   $value = getDBDate($value);
               }
//                echo "<BR> COLUMN " . $column ." VALUE ". $value; 
               $pdo->setNamedParam($column, $value);
               $carka = ", ";
               //                    }
           }
           
#echo "<BR>C $insertSql";
           
       }
       //Zápis poslední tabulky 
       $msg = $this->insertTable($pdo, $carka, $tempFlag, $insertSql, $valuesSql, $nameRow);   
       
       $pdo->commitTransaction();
       
       return $msg;
       
   }

   /**
    * @return boolean
    */
   public function InsertData2DB($nameRow, $pdo)
   {
       $pdo->beginTransaction();
       
       
       $this->msg = null;
       $stockID = null;
       $wareCode = null;
       $type_stock = "P";
       $plusSign = 1;
       
       $sql = "select stock_id, type_stock, ware_code, year_num, period_num, tran_date, acct_code, ref_text from stockhead where valid_flag = 0 ";
       foreach ($this->pdo->query($sql) as $data)
       {
           $stockID = $data["stock_id"];
           $wareCode = $data["ware_code"];
           $year = $data["year_num"];
           $per = $data["period_num"];
           $tran_date = $data["tran_date"];
           $acct_code = $data["acct_code"];
           $ref_text = $data["ref_text"];
           $type_stock = $data["type_stock"];
           
           if ($type_stock == "V"){
               $plusSign = -1;
           }
       }
       
       $sql = "update stockhead set valid_flag = 1 where type_stock = '".$type_stock."' and valid_flag = 0";
       if ($this->pdo->exec($sql) === false){
           $this->msg = "Chyba potvrzení havičky příjemky";
           $pdo->rollBack();
           return false;
       }
       
       $sql = "update stockdetl set valid_flag = 1 where stock_id = :stock_id and valid_flag = 0";
       $this->pdo->setNamedParam("stock_id", $stockID);
       if ($this->pdo->exec($sql) === false){
           $this->msg = "Chyba potvrzení řádky příjemky";
           $pdo->rollBack();
           return false;
       }       
       
       //Aktulzace stockdetl line_num
       $sql  = "select stock_id_detl, prod_code, tran_qty, cost_amt, desc_text ";
       $sql .= "from stockdetl where stock_id = :stock_id order by stock_id_detl";
       $this->pdo->setNamedParam("stock_id", $stockID);
       $idx = 1;
       foreach ($this->pdo->query($sql) as $data)
       {
           $stock_id_detl = $data["stock_id_detl"];
           $prod_code = $data["prod_code"];
           $tran_qty = $data["tran_qty"];
           $cost_amt = $data["cost_amt"];
           $desc_text = $data["desc_text"];
           
           $tot_amt = $tran_qty * $cost_amt;
           
           if ($desc_text == null) {
               $sql  = "select desc_text ";
               $sql .= "from product where prod_code = :prod_code ";
               $this->pdo->setNamedParam("prod_code", $prod_code);
               $idx = 1;
               foreach ($this->pdo->query($sql) as $data){
                   $desc_text = $data["desc_text"];
               }
           }
           
           $sql = "update stockdetl set line_num = :line_num, tot_amt = :tot_amt, desc_text = :desc_text where stock_id_detl = :stock_id_detl ";
           $this->pdo->setNamedParam("line_num", $idx);
           $this->pdo->setNamedParam("desc_text", $desc_text);
           $this->pdo->setNamedParam("stock_id_detl", $stock_id_detl);
           $this->pdo->setNamedParam("tot_amt", $tot_amt);
           
           if ($this->pdo->exec($sql) === false){
               $this->msg = "Chyba aktualizace řádky příjemky";
               $pdo->rollBack();
               return false;
           }
           
           //Aktualizace prodstat
           $new_onhand_qty = null;
           $sql = "select id_num, onhand_qty, wgted_cost_amt from prodstat where ware_code = :ware_code and prod_code = :prod_code";
           $this->pdo->setNamedParam("ware_code", $wareCode);
           $this->pdo->setNamedParam("prod_code", $prod_code);
           foreach ($this->pdo->query($sql) as $data)
           {
               $prodstat_id_num = $data["id_num"];
               $this->onhand_qty = $data["onhand_qty"];
               $wgted_cost_amt = $data["wgted_cost_amt"];
               
               $new_onhand_qty = ($plusSign) * $tran_qty + $this->onhand_qty;
               
               
               //TODO dořešit pevnou skladovou cenu
               if ($type_stock == "P"){
                   $new_wgted_cost_amt = ($this->onhand_qty * $wgted_cost_amt + $tran_qty * $cost_amt) / $new_onhand_qty;
               } else  {
                   $new_wgted_cost_amt = $wgted_cost_amt;
                   if ($new_onhand_qty < 0) {
                       $this->msg = "Nelze vydat produkt " .$prod_code. " stav skladu ".$wareCode." by byl záporný.";
                       $pdo->rollBack();
                       return false;
                   }
               }
               
               if ($type_stock == "P"){
                  $column_date = "last_receipt_date";
               } else {
                   $column_date = "last_sale_date";
               }
               $sql = "update prodstat set wgted_cost_amt = :wgted_cost_amt, onhand_qty = :onhand_qty, ".$column_date." = :last_receipt_date where id_num = :id_num ";
               $this->pdo->setNamedParam("wgted_cost_amt", $new_wgted_cost_amt);
               $this->pdo->setNamedParam("onhand_qty", $new_onhand_qty);
               $this->pdo->setNamedParam("last_receipt_date", $tran_date);
               
               
               $this->pdo->setNamedParam("id_num", $prodstat_id_num);
               if ($this->pdo->exec($sql) === false){
                   $this->msg = "Chyba aktualizace skladové karty";
                   $pdo->rollBack();
                   return false;
               }
               
           }
           
           if ($new_onhand_qty == null){
               $this->msg = "Neexistuje skladová karta pro produkt ".$prod_code." a sklad ".$wareCode."!";
               $pdo->rollBack();
               return false;               
           }
           //Insert prodledg
           $insText  = "insert into ". $_SESSION["database"] . ".prodledg";
           $insText .=  " (prod_code, ware_code, tran_date, trantype_ind, year_num, period_num, source_text, source_num, tran_qty, "; 
           $insText .=  " cost_amt, sales_amt, post_flag, desc_text, acct_code, bal_amt, analysis_text, dokl_code, entry_code, entry_time, valid_flag)";
           $insText .=  " values ( :prod_code, :ware_code, :tran_date, :trantype_ind, :year_num, :period_num, :source_text, :source_num, :tran_qty, "; 
           $insText .=  " :cost_amt, :sales_amt, :post_flag, :desc_text, :acct_code, :bal_amt, :analysis_text, :dokl_code, :entry_code, now(), 1)";
           
           if ($type_stock =="P"){
               $trantype_ind = "R"; //Receipt
           } else {               
               $trantype_ind = "I"; //Issue
           }
           
           if ($type_stock){
               $analysis_text = "Zápis příjemky";                   
           } else {
               $analysis_text = "Zápis výdejky";
           }
           $this->pdo->setNamedParam("prod_code", $prod_code);       //'Kód produktu',
           $this->pdo->setNamedParam("ware_code", $wareCode);       //'Kód skladu',
           $this->pdo->setNamedParam("tran_date", $tran_date);       //'Datum transakce s produktem',
           $this->pdo->setNamedParam("trantype_ind", $trantype_ind);    //'Typ transakce ',
           $this->pdo->setNamedParam("year_num", $year);        //'Účetní rok',
           $this->pdo->setNamedParam("period_num", $per);      //'Účetní období',
           $this->pdo->setNamedParam("source_text", $ref_text);     //'Referenční kód ',
           $this->pdo->setNamedParam("source_num", $stockID);      //'Referenční číslo ',
           $this->pdo->setNamedParam("tran_qty", $tran_qty * $plusSign);        //'Množství pohybu ve skladové měrné jedn.',
           $this->pdo->setNamedParam("cost_amt", $cost_amt);        //'Jednotková cena v zákl.měně',
           $this->pdo->setNamedParam("sales_amt", 0);       //'Prodejní cena pohybu - v základní měně',
           $this->pdo->setNamedParam("post_flag", "N");       //'Příznak zaúčtování ',
           $this->pdo->setNamedParam("desc_text", $desc_text);       //'Popis transakce ',
           $this->pdo->setNamedParam("acct_code", $acct_code);       //'Účet kontace v HK',
           $this->pdo->setNamedParam("bal_amt", $new_onhand_qty);         //'Stav produktu na skladě po pohybu',
           $this->pdo->setNamedParam("analysis_text", $analysis_text);   //'Doplňková informace ',
           $this->pdo->setNamedParam("dokl_code", $type_stock);       //'Druh pohybu ',
           $this->pdo->setNamedParam("entry_code", $_SESSION["is_user"]);      //'Zapsal',
//           $this->pdo->setNamedParam("entry_time", );      //'Datum a čas zápisu',
//           $this->pdo->setNamedParam("valid_flag", 1);      //'TRUE - Platný záznam, FALSE - Zrušený záznam'
           
           
           if ($this->pdo->exec($insText) === false){
               $this->msg = "Chyba zápisu skladového pohybu";
               $pdo->rollBack();
               return false;
           }
           
           $idx++;
       
       }
       
       
       $pdo->commitTransaction();
       
       $this->msg = $nameRow." číslo " . $stockID ." úspešně zapsána.";
       
       return true;
       /*
trantype_ind* 
A	Oprava stavu skladu - množství	D
B	Oprava výdeje do výroby	D
C	Návrat do skladu dobropisem	D
D	Cenová odchylka závazek-príjem	D
E	Vážení obilí za silem	D
F	Korekce stavu skladu obilí	D
G	Korekce rozdílů ze zaokrouhlen	D
H	Návrat vratného obalu dobropis	D
I	Prímý výdej ze skladu	D
J	Výdej ze skladu na projekt	D
K	Výdej ze skladu do výroby	D
L	Príjem do skladu z výroby	D
M	Zápujčka vratného obalu	D
N	Vedlejší náklady k nákup.obj.	D
P	Príjem z nákupní objednávky	D
Q	Oprava ceny nákupní objednávky	D
R	Prímý príjem do skladu	D
S	Výdej ze skladu fakturou	D
T	Prevod mezi sklady	D
U	Oprava skladové ceny	D
W	Prevod cenových odchylek	D
X	Prevod vedlejších nákladů	D
Y	Rozpouštení vedlejších nákladů	D
Z	Rozpouštení cenových odchylek	D
1	Převod mezi produkty-výdej	D
2	Převod mezi produkty-príjem	D
3	Výdej ze skladu výčetkou	S
4	Výdej ze skladu dodacím listem	D
5	Prevod obalu na konto obalů DL	D
6	Reexpedice - výdej pomoc.prod.	D
7	Reexpedice - príjem reexp.výro	D
		
		
		
		
        
        */
   }
   
   /**
    * @return string
    */
   private function insertTable($pdo, $carka, $tempFlag, $insertSql, $valuesSql, $nameRow)
   {
       $msg = null;
       if ($carka == ", "){ //Byl nastaven alespoň jeden sloupec
           //            echo "<BR>A $insertSql";
           //            echo "<BR>B $valuesSql";
           if ($tempFlag){
               $insertSql .= ", valid_flag)" . $valuesSql . ",0)";
           } else {
               $insertSql .= ", valid_flag)" . $valuesSql . ",1)";
               
           }
// echo "<BR>" . $insertSql;

           $pdo->exec($insertSql);
           $newPrimaryKeyValue = $pdo->lastInsertId();
           
           if (strpos($insertSql, "stockhead") > 0){
               $_SESSION["head_ID"] =  $newPrimaryKeyValue;
           } else if (strpos($insertSql, "stockdetl") > 0){
               $_SESSION["detl_ID"] =  $newPrimaryKeyValue;
           }
           $msg = $nameRow." ".$newPrimaryKeyValue." uspěšně zapsán.";
       }
       
       return $msg;
   }
   
    /**
     * @return string
     */
    public function getMsg()
    {
        return $this->msg;
    }
    /**
     * @return mixed
     */
    public function getPrimaryKey()
    {
        return $this->primaryKey;
    }




}