<?php

/**
 * @author Petr Ruttkay
 *
 */

echo '<div id="obsah">';

require_once "warehouse.php";
require_once "stockDoc.php";
require_once "stockDocPrint.php";
require_once "./_func/isPdoFactory.php";
require_once "./_class/formXmlRead.php";


$title = "Sklady";

if (!isset($_SESSION["is_user"])){
    $_SESSION["is_user"] = "xxxxxx";
}

echo '<title>' . $title . '</title>';

$param = "null";
if (isset($_GET['param'])){
    $param = $_GET['param'];
} 

switch ($param) {
    case "0": $xmlFile = "_forms_xml/product.xml";
              $keyName = "Produkt";
    break;
    case "5": $xmlFile = "_forms_xml/products_list.xml";
              $keyName = "Produkty";
    break;
    case "1": $xmlFile = "_forms_xml/warehouse.xml";
              $keyName = "Sklad";
    break;
    case "2": $xmlFile = "_forms_xml/category.xml";
              $keyName = "Kategorie";
    break;
    case "3": $xmlFile = "_forms_xml/class.xml";
              $keyName = "Třída";
    break;    
    case "4": $xmlFile = "_forms_xml/uom.xml";
              $keyName = "Měrná jednotka";
    break;  
    
    case "6": $xmlFile = "_forms_xml/prodstat.xml";
              $keyName = "Skladová karta";
    break;
              case "7": $xmlFile = "_forms_xml/prodstat_list.xml";
              $keyName = "Skladové karty";
    break;
              case "stockdocR": $xmlFile = "_forms_xml/stockreceipt.xml";
              $keyName = "Příjemka";
    break;
              case "stockdocI": $xmlFile = "_forms_xml/stockissue.xml";
              $keyName = "Výdejka";
    break;
              case "stockdoc_list": $xmlFile = "_forms_xml/stockdoc_list.xml";
              $keyName = "Skladový doklad";
    break;
              case "prodledg_list": $xmlFile = "_forms_xml/prodledg_list.xml";
              $keyName = "Skladový pohyb";
    break;
              case "printdoc": $xmlFile = "_forms_xml/stockdoc_print.xml";
              $keyName = "Skladový doklad";
    break;
    default:  $xmlFile = "_forms_xml/products_list.xml";
              $keyName = "Sklad";
        break;
}

$formStructure = new FormStructure($xmlFile);

switch ($param) {
    case "stockdocR": 
        $menuIS= new StockDoc(getPdoIS(), $keyName, "P", $formStructure);
        $menuIS->run();
    break;
    case "stockdocI": 
        $menuIS= new StockDoc(getPdoIS(), $keyName, "V", $formStructure);
        $menuIS->run();
    break;
    case "printdoc": 
        $menuIS= new StockDocPrint(getPdoIS(), $keyName, "V", $formStructure);
        $menuIS->run();
    break;
    default:  
        $menuIS= new Sklady(getPdoIS(), $keyName, $formStructure);
        $menuIS->run();
    break;
}


echo "<p>&nbsp;</p>";
echo "<p>&nbsp;</p>";
echo "</div>";




	
